<?php
/**
 * Radio Shows: Block Patterns
 *
 * @since Radio Shows 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Radio Shows 1.0
 *
 * @return void
 */
function radio_shows_register_block_patterns() {
	$radio_shows_block_pattern_categories = array(
		'radio-shows'    => array( 'label' => __( 'Radio Shows', 'radio-shows' ) ),
	);

	$radio_shows_block_pattern_categories = apply_filters( 'radio_shows_block_pattern_categories', $radio_shows_block_pattern_categories );

	foreach ( $radio_shows_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'radio_shows_register_block_patterns', 9 );
